[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[gawk-diffs] [SCM] gawk branch, gawk-4.0-stable, updated. f8ec28a30e98ca
From: |
Arnold Robbins |
Subject: |
[gawk-diffs] [SCM] gawk branch, gawk-4.0-stable, updated. f8ec28a30e98cad325d18478a3d054b8c30a3129 |
Date: |
Sun, 20 May 2012 18:04:23 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gawk".
The branch, gawk-4.0-stable has been updated
via f8ec28a30e98cad325d18478a3d054b8c30a3129 (commit)
from ac950a04867fce7784680ba76d654d910e88a8cd (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.sv.gnu.org/cgit/gawk.git/commit/?id=f8ec28a30e98cad325d18478a3d054b8c30a3129
commit f8ec28a30e98cad325d18478a3d054b8c30a3129
Author: Arnold D. Robbins <address@hidden>
Date: Sun May 20 21:03:52 2012 +0300
Enhance jarebug for Mac OS X.
diff --git a/test/ChangeLog b/test/ChangeLog
index 70dacf4..06d9020 100644
--- a/test/ChangeLog
+++ b/test/ChangeLog
@@ -1,3 +1,8 @@
+2012-05-20 Arnold D. Robbins <address@hidden>
+
+ * jarebug.sh: New file. Handles Mac OS X also.
+ * Makefile.am (jarebug): Use jarebug.sh to run the test.
+
2012-05-16 Arnold D. Robbins <address@hidden>
* Makefile.am (jarebug): Remove leading `-' from $(CMP) line.
diff --git a/test/Makefile.am b/test/Makefile.am
index 5102d40..5ff3501 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -1456,11 +1456,8 @@ rri1::
jarebug::
@echo $@
- @if locale -a | grep ja_JP.EUC-JP > /dev/null ; then \
- GAWKLOCALE=ja_JP.EUC-JP ; export GAWKLOCALE ; \
- $(AWK) -f $(srcdir)/address@hidden $(srcdir)/address@hidden >_$@ 2>&1
|| echo EXIT CODE: $$? >> _$@ ; \
- $(CMP) $(srcdir)/address@hidden _$@ && rm -f _$@ ; \
- fi
+ @$(srcdir)/address@hidden "$(AWKPROG)" "$(srcdir)/address@hidden"
"$(srcdir)/address@hidden" "_$@"
+ @-$(CMP) $(srcdir)/address@hidden _$@ && rm -f _$@
# Targets generated for other tests:
diff --git a/test/Makefile.in b/test/Makefile.in
index 4c36812..171428b 100644
--- a/test/Makefile.in
+++ b/test/Makefile.in
@@ -1834,11 +1834,8 @@ rri1::
jarebug::
@echo $@
- @if locale -a | grep ja_JP.EUC-JP > /dev/null ; then \
- GAWKLOCALE=ja_JP.EUC-JP ; export GAWKLOCALE ; \
- $(AWK) -f $(srcdir)/address@hidden $(srcdir)/address@hidden >_$@ 2>&1
|| echo EXIT CODE: $$? >> _$@ ; \
- $(CMP) $(srcdir)/address@hidden _$@ && rm -f _$@ ; \
- fi
+ @$(srcdir)/address@hidden "$(AWKPROG)" "$(srcdir)/address@hidden"
"$(srcdir)/address@hidden" "_$@"
+ @-$(CMP) $(srcdir)/address@hidden _$@ && rm -f _$@
Gt-dummy:
# file Maketests, generated from Makefile.am by the Gentests program
addcomma:
diff --git a/test/jarebug.sh b/test/jarebug.sh
new file mode 100755
index 0000000..dcc73e6
--- /dev/null
+++ b/test/jarebug.sh
@@ -0,0 +1,21 @@
+#! /bin/sh
+
+awk=$1
+prog=$2
+infile=$3
+out=$4
+
+# GLIBC gives us ja_JP.EUC-JP but Mac OS X uses ja_JP.eucJP
+
+cp $infile $out # set up default
+
+for locale in ja_JP.EUC-JP ja_JP.eucJP
+do
+ if locale -a | grep $locale > /dev/null
+ then
+ LANG=$locale
+ LC_ALL=$locale
+ export LANG LC_ALL
+ $awk -f $prog $infile >$out 2>&1 || echo EXIT CODE: $? >> $out
+ fi
+done
-----------------------------------------------------------------------
Summary of changes:
test/ChangeLog | 5 +++++
test/Makefile.am | 7 ++-----
test/Makefile.in | 7 ++-----
test/jarebug.sh | 21 +++++++++++++++++++++
4 files changed, 30 insertions(+), 10 deletions(-)
create mode 100755 test/jarebug.sh
hooks/post-receive
--
gawk
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [gawk-diffs] [SCM] gawk branch, gawk-4.0-stable, updated. f8ec28a30e98cad325d18478a3d054b8c30a3129,
Arnold Robbins <=